org.eclipse.graphiti.internal.features.context.impl.base

## Class DefaultContext

- java.lang.Object
- - org.eclipse.graphiti.PropertyBag
  - - org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext

All Implemented Interfaces:
  IContext, IPropertyBag

Direct Known Subclasses:
  CreateConnectionContext, LocationContext, PictogramElementContext, PictogramElementsContext, PrintContext, ReconnectionContext, RemoveBendpointContext, SaveImageContext, SplitConnectionContext

    public class DefaultContext
    extends PropertyBag
    implements IContext

The Class DefaultContext.

### Constructor Summary

Constructors
Constructor and Description
`DefaultContext()` Instantiates a new default context.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Constructor Detail

#### DefaultContext

    public DefaultContext()

Instantiates a new default context.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`